library(dplyr)
library(mixpack)
library(ggplot2)
# 
load('data/results_visualisation_MAXOVERLAP_0.05-NSIM_00100-NDATA_00500-K0_005-DIM_002-SEED_0001.RData')

data = as.data.frame(SIMULATION$data)
m = SIMULATION$mclust

xlimits = seq(0, 1.5, length.out = 500)
ylimits = seq(0, 1.5, length.out = 500)


partition = list(1,2,3,4,5,6,7,8)
CN8 = lapply(partition, function(part){
  expand.grid(V1 = xlimits, V2 = ylimits) %>%
    tbl_df %>%
    mutate(z = dmixnorm_solution(., m, part = part),
           id = sprintf('{%s}',paste(part, collapse=',')))
}) %>% bind_rows

ii = apply( SIMULATION$tau, 1, which.max)
data$id = sapply(ii, function(i) sprintf('{%s}',paste(i, collapse=',')) )

df.labs = data.frame(
  V1 = c(0.5, 0.9, 0.9, 0.95, 0.5, 0.5, 1, 0.75),
  V2 = c(0.25, 0.6, 0.95, 1.2, 1, 0.6, 0.05, 0.04),
  label = sapply(1:8, function(i) sprintf('{%s}',paste(i, collapse=',')))
)
ggplot() + 
  geom_point(data=data, aes(x=V1, y=V2), size=2, alpha=0.5) + 
  geom_text(data=df.labs , aes(x=V1,y=V2, label = label)) +
  stat_contour(data = CN8, aes(x=V1, y=V2, z=z, group=id), alpha=0.5) +
  scale_color_manual(values = rep('black',8)) +
  coord_equal() +
  theme_classic()

load('data/results_visualisation_MAXOVERLAP_0.45-NSIM_00100-NDATA_00500-K0_005-DIM_002-SEED_0002.RData')

data = as.data.frame(SIMULATION$data)
m = SIMULATION$mclust

xlimits = seq(0, 1.5, length.out = 500)
ylimits = seq(-1, 1.5, length.out = 500)


partition = list(1,2,3,4,5,6)
CN6 = lapply(partition, function(part){
  expand.grid(V1 = xlimits, V2 = ylimits) %>%
    tbl_df %>%
    mutate(z = dmixnorm_solution(., m, part = part),
           id = sprintf('{%s}',paste(part, collapse=',')))
}) %>% bind_rows

ii = apply( SIMULATION$tau, 1, which.max)
data$id = sapply(ii, function(i) sprintf('{%s}',paste(i, collapse=',')) )

df.labs = data.frame(
  V1 = c(0.65, 1.1, 1, 0.3, 0.1, 0.6),
  V2 = c(1.2, 0.6, -0.3, 0.5, -0.4, 0.6),
  label = sapply(1:6, function(i) sprintf('{%s}',paste(i, collapse=',')))
)
ggplot() + 
  geom_point(data=data, aes(x=V1, y=V2), size=2, alpha=0.5) + 
  geom_text(data=df.labs , aes(x=V1,y=V2, label = label)) +
  stat_contour(data = CN6, aes(x=V1, y=V2, z=z, group=id), alpha=0.5) +
  scale_color_manual(values = rep('black',8)) +
  coord_equal() +
  theme_classic()
