library(ggplot2)

load('data/results_visualisation_MAXOVERLAP_0.45-NSIM_00100-NDATA_00500-K0_005-DIM_002-SEED_0002.RData')

# dataset df and df2 are generated in oe_create_results_visualisation.R script

plot.dbased <- ggplot() +
  #geom_line(data=df, aes(x=K, y=value), group=1) +
  geom_point(data=df, aes(x=K, y=value), size=3) +
  facet_wrap(~index, scales='free', nrow=1) + 
  ggplot2::theme_classic() +
  ylab('Statistic value') + xlab('Clusters') +
  ggtitle('Posteriori probability distance based heuristics')

plot.svalue <- ggplot() +
  geom_point(data=df2, aes(x=K, y=S.value), size=3) +
  facet_wrap(~method, scales = 'free', nrow=2 ) +
  ggplot2::theme_classic() +
  xlab('Clusters') + ylab('S-value') +
  ggtitle('S-value during the merging process') +
  theme(axis.line.x = element_line(color="black"),
        axis.line.y = element_line(color="black"))

plot.dbased
plot.svalue
