library(mixpack)

if(!exists('build')) build = 'MAXOVERLAP_0.01-NSIM_00100-NDATA_00500-K0_003-DIM_006-SEED_0001'
build_sep = build

pattern_build = "MAXOVERLAP_(0\\.[0-9]+)-NSIM_([0-9]+)-NDATA_([0-9]+)-K0_([0-9]+)-DIM_([0-9]+)-SEED_([0-9]+)*"
MAXOVERLAP = as.numeric(sub(pattern_build, "\\1", build_sep[1]))
NSIM = as.numeric(sub(pattern_build, "\\2", build_sep[1]))
NDATA = as.numeric(sub(pattern_build, "\\3", build_sep[1]))
K0 = as.numeric(sub(pattern_build, "\\4", build_sep[1]))
DIM = as.numeric(sub(pattern_build, "\\5", build_sep[1]))
SEED = as.numeric(sub(pattern_build, "\\6", build_sep[1]))

load(file=sprintf('data/dataset-%s.RData', build_sep[1]))

hpartitions = lapply(simulation, function(sim){
  if(NCOL(sim$tau) == 1){
    return(list(`(1)` = 1))
  }
  get_random_hierarchical_partition(NCOL(sim$tau))
})

save(hpartitions, file=sprintf('data/rnd_hpartitions-%s.RData', build))
