library(dplyr)

fnames = list.files('data/', pattern = '^rnd_evaluate-*', full.names = TRUE)
pattern_build = "MAXOVERLAP_(0\\.[0-9]+)-NSIM_([0-9]+)-NDATA_([0-9]+)-K0_([0-9]+)-DIM_([0-9]+)-SEED_([0-9]+)*"

RES_RND = lapply(fnames,function(fname){
  build = gsub('.RData', '', gsub('data//rnd_evaluate-', '', fname))
  
  
  load(fname)
  df.eval %>%
    mutate(
      MAXOVERLAP = as.numeric(sub(pattern_build, "\\1", build)),
      NSIM = as.numeric(sub(pattern_build, "\\2", build)),
      NDATA = as.numeric(sub(pattern_build, "\\3", build)),
      K0 = as.numeric(sub(pattern_build, "\\4", build)),
      DIM = as.numeric(sub(pattern_build, "\\5", build)),
      SEED = as.numeric(sub(pattern_build, "\\6", build)))
})
df_rnd = bind_rows(RES_RND)

fnames = list.files('data/', pattern = '^evaluate-*', full.names = TRUE)
pattern_build = "MAXOVERLAP_(0\\.[0-9]+)-NSIM_([0-9]+)-NDATA_([0-9]+)-K0_([0-9]+)-DIM_([0-9]+)-SEED_([0-9]+)*"

RES = lapply(fnames,function(fname){
  build = gsub('.RData', '', gsub('data//evaluate-', '', fname))
  build_sep = strsplit(build, '--')[[1]]
  
  
  pattern_model = sapply(strsplit(build_sep[2],'-')[[1]], strsplit, '_')
  
  
  load(fname)
  df.eval %>%
    mutate(
      MAXOVERLAP = as.numeric(sub(pattern_build, "\\1", build_sep[1])),
      NSIM = as.numeric(sub(pattern_build, "\\2", build_sep[1])),
      NDATA = as.numeric(sub(pattern_build, "\\3", build_sep[1])),
      K0 = as.numeric(sub(pattern_build, "\\4", build_sep[1])),
      DIM = as.numeric(sub(pattern_build, "\\5", build_sep[1])),
      SEED = as.numeric(sub(pattern_build, "\\6", build_sep[1])),
      OMEGA = pattern_model[[1]][2],
      LAMBDA = pattern_model[[2]][2])
})
df = bind_rows(RES)
save(df, df_rnd, file='results.RData')
